<?php
  /**************************************************************************\
  * phpGroupWare                                                             *
  * http://www.phpgroupware.org                                              *
  * Written by Mark Peters <skeeter@phpgroupware.org>                        *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

	/* $Id: hook_deleteaccount.inc.php,v 1.1 2001/11/28 03:42:56 milosch Exp $ */
	
	// Delete all records for a user
	$table_locks = Array('phpgw_notes');
	$db2 = $GLOBALS['phpgw']->db;
	$db2->lock($table_locks);

	if(intval($GLOBALS['HTTP_POST_VARS']['new_owner'])==0)
	{
		$db2->query('DELETE FROM phpgw_notes WHERE note_owner='.intval($GLOBALS['HTTP_POST_VARS']['account_id']),__LINE__,__FILE__);
	}
	else
	{
		$db2->query('UPDATE phpgw_notes SET note_owner='.intval($GLOBALS['HTTP_POST_VARS']['new_owner'])
			. ' WHERE note_owner='.intval($GLOBALS['HTTP_POST_VARS']['account_id']),__LINE__,__FILE__);
	}
	$db2->unlock();
?>
